Create slideshow
curl --request POST \
--url https://api.kynva.ai/api/v1/animations/slideshow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frames": [
{
"templateId": "<string>",
"duration": 5050,
"modifications": "<array>",
"stylePreset": "<string>"
}
],
"transition": "none",
"transitionDuration": 1050,
"fps": 10,
"loop": true,
"loopConfig": {
"count": 1,
"transitionFrames": 2,
"holdTime": 1
},
"format": "gif",
"width": 1074,
"height": 1074
}
'import requests
url = "https://api.kynva.ai/api/v1/animations/slideshow"
payload = {
"frames": [
{
"templateId": "<string>",
"duration": 5050,
"modifications": "<array>",
"stylePreset": "<string>"
}
],
"transition": "none",
"transitionDuration": 1050,
"fps": 10,
"loop": True,
"loopConfig": {
"count": 1,
"transitionFrames": 2,
"holdTime": 1
},
"format": "gif",
"width": 1074,
"height": 1074
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frames: [
{
templateId: '<string>',
duration: 5050,
modifications: '<array>',
stylePreset: '<string>'
}
],
transition: 'none',
transitionDuration: 1050,
fps: 10,
loop: true,
loopConfig: {count: 1, transitionFrames: 2, holdTime: 1},
format: 'gif',
width: 1074,
height: 1074
})
};
fetch('https://api.kynva.ai/api/v1/animations/slideshow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "<string>",
"width": 123,
"height": 123,
"duration": 123,
"frameCount": 123,
"format": "<string>",
"transition": "<string>",
"loopType": "<string>"
}
}Animation
Create slideshow
Generate a slideshow animation from multiple templates with 34 transition types and 7 loop modes
POST
/
api
/
v1
/
animations
/
slideshow
Create slideshow
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
34 transition types available. Use GET /api/v1/capabilities/transitions for details.
Available options:
none, fade, dissolve, crossfade, slideLeft, slideRight, slideUp, slideDown, push, reveal, cover, zoomIn, zoomOut, zoomThrough, morph, glitchCut, inkBleed, shatter, liquidWipe, pageTurn, splitReveal, particleDissolve, lightLeak, whipPan, iris, irisOut, pixelate, ripple, wipeLeft, wipeRight, wipeUp, wipeDown, clock, blinds Transition duration in ms. If not specified, uses recommended duration for the transition type.
Required range:
100 <= x <= 2000Required range:
5 <= x <= 30Loop mode. Boolean for simple loop, or string for advanced loop types. Use GET /api/v1/capabilities/loops for details.
Advanced loop configuration
Show child attributes
Show child attributes
Available options:
gif, mp4 Required range:
100 <= x <= 2048Required range:
100 <= x <= 2048⌘I